#include "jx_uart_send.h"

// UART2_RX串口通信消息头
const unsigned char g_uart_send_head_UART2_RX[] = {
  0xaa, 0x55
};

// UART2_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART2_RX[] = {
  0x55, 0xaa
};

// 串口发送函数实现
void _uart_send_impl(int port, unsigned char* buff, int len) {
  // TODO: 调用项目实际的串口发送函数
  /*
  int i = 0;
  unsigned char c;
  for (i = 0; i < len; i++) {
    c = buff[i];
    printf("%02X ", c);
  }
  printf("\n");
  */
}

// action: HX
void _uart_HX() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_HX;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: ZJYL
void _uart_ZJYL() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_ZJYL;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: JSYL
void _uart_JSYL() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_JSYL;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: ZXYL
void _uart_ZXYL() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_ZXYL;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: ZDYL
void _uart_ZDYL() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_ZDYL;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: BFYY
void _uart_BFYY() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_BFYY;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: ZTYY
void _uart_ZTYY() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_ZTYY;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: XYS
void _uart_XYS() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_XYS;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: SYS
void _uart_SYS() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_SYS;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: JTDH
void _uart_JTDH() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_JTDH;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: GDDH
void _uart_GDDH() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_GDDH;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: DKLY
void _uart_DKLY() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_DKLY;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: GBLY
void _uart_GBLY() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_GBLY;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: OUT
void _uart_OUT() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_OUT;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

